All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_generation.hpp File Reference

Helper routines for generating sparse matrices. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/meta/result_of.hpp"`
`#include "viennacl/tools/adapter.hpp"`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::tools
| Namespace for various tools used within ViennaCL.

## Functions

template<typename MatrixType >
void | viennacl::tools::generate_fdm_laplace (MatrixType &A, vcl_size_t points_x, vcl_size_t points_y)
| Generates a sparse matrix obtained from a simple finite-difference discretization of the Laplace equation on the unit square (2d). More...
template<typename NumericT >
void | viennacl::tools::generate_fdm_laplace (viennacl::compressed_matrix< NumericT > &A, vcl_size_t points_x, vcl_size_t points_y)
template<typename NumericT >
void | viennacl::tools::generate_fdm_laplace (viennacl::coordinate_matrix< NumericT > &A, vcl_size_t points_x, vcl_size_t points_y)
template<typename NumericT >
void | viennacl::tools::generate_fdm_laplace (viennacl::ell_matrix< NumericT > &A, vcl_size_t points_x, vcl_size_t points_y)
template<typename NumericT >
void | viennacl::tools::generate_fdm_laplace (viennacl::sliced_ell_matrix< NumericT > &A, vcl_size_t points_x, vcl_size_t points_y)
template<typename NumericT >
void | viennacl::tools::generate_fdm_laplace (viennacl::hyb_matrix< NumericT > &A, vcl_size_t points_x, vcl_size_t points_y)

## Detailed Description

Helper routines for generating sparse matrices.

Definition in file matrix_generation.hpp.